Macro.add('ConnectionExecute',{
    handler  : function () {
        const _executeData = this.args[0];
        for(const [_capturedKey, _captureValue] of Object.entries(_executeData.capturedVars)){
            State.setVar(_capturedKey,_captureValue);
        }

        if(_executeData.duration)
            State.variables.time.minutes += _executeData.duration;
        jQuery(this.output).wiki(_executeData.content);
    }
});


    
    

